James

Linux EScribe Suite Beta Thread

Recommended Posts

Just now, Lanzarotechris said:

@Odysseus

seems I kicked the hornets nest 😉

At least this thread is active again, hehe

No hornets nest here.....  the thread was always active but few can participate as they aren't users of Linux....  😀

Share this post


Link to post
Share on other sites
2 minutes ago, retird said:

No hornets nest here.....  the thread was always active but few can participate as they aren't users of Linux....  😀

Their loss. I've been using various flavors of Linux as my primary OS for over 20 years. I haven't had to worry about the issues which have plagued other systems, and since it is so efficient I'm not on a constant harware upgrade path. Even with issues like this, I'm glad to be a Linux enthusiast.

Share this post


Link to post
Share on other sites

I haven't really had time to look at it myself beyond a basic search (which went nowhere), but does anyone know if it's possible to have a separate mono version just for escribe? I have far too many things reliant on mono to downgrade, but I'd have no issue keeping multiple versions around.

Share this post


Link to post
Share on other sites

I have run linux constantly since 1994.  I have two primary systems at my house, a Linux desktop and a Mac desktop.  I have had to update Mono on the Linux system as it is also running my home automation system, but the only time I need to run eScribe is when I get a new mod, and that is rare since the company that made the ones I like closed and I can't find a manufacture of DNA75C equipped  mods.

Share this post


Link to post
Share on other sites
2 minutes ago, KickMeElmo said:

I haven't really had time to look at it myself beyond a basic search (which went nowhere), but does anyone know if it's possible to have a separate mono version just for escribe? I have far too many things reliant on mono to downgrade, but I'd have no issue keeping multiple versions around.

Not too hard.  https://www.mono-project.com/docs/compiling-mono/parallel-mono-environments/

 

  • Thanks 1

Share this post


Link to post
Share on other sites

Still not working on the latest ubuntu (and I installed and locked the Mono version to 5.18)

It starts, reads the settings of the attached mod, and then shuts down after a few seconds.

😞

Did someone contacted the helpdesk in the meantime ?

On 6/27/2019 at 4:28 PM, retird said:

You might open a ticket with Evolv and explain the issue and give the crash log info.  Ask that this be given to James........  he doesn't get by here that often.......  here is the link....

https://helpdesk.evolvapor.com/index.php?a=add&category=1

 

Edited by Lanzarotechris
more text

Share this post


Link to post
Share on other sites
Just now, KickMeElmo said:

What mono version? Use `mono --version` to check.

version 5.18.0.240 (Debian 5.18.0.240+dfsg-5 Tue Sep 10 13:23:34 UTC 2019)
 

Share this post


Link to post
Share on other sites
4 minutes ago, gvape said:

version 5.18.0.240 (Debian 5.18.0.240+dfsg-5 Tue Sep 10 13:23:34 UTC 2019)
 

Ah, then sadly not anything new. That's basically the last known working version for escribe, it's an old version. Good solution for people who don't use mono for other things, but for those of us on mono 6.4, doesn't really help. That said, the parallel mono installations should be a viable solution, I just haven't had time to get that set up yet.

Share this post


Link to post
Share on other sites
1 minute ago, KickMeElmo said:

Ah, then sadly not anything new. That's basically the last known working version for escribe, it's an old version. Good solution for people who don't use mono for other things, but for those of us on mono 6.4, doesn't really help. That said, the parallel mono installations should be a viable solution, I just haven't had time to get that set up yet.

ohh dear. sorry :)

Share this post


Link to post
Share on other sites

I removed escribe completely... as it wasn't working with mono 5.18, and I don't have time nor patience to go deeper into that problem.

I will keep an eye on this thread to see when there is a solution for it so it will work again on linux.

BTW: Why isn't there an android app for it ? Would be nice to attach my pad to my mod and change settings while I am at work or in a train... just a thought 😉

Share this post


Link to post
Share on other sites
4 hours ago, Lanzarotechris said:

BTW: Why isn't there an android app for it ? Would be nice to attach my pad to my mod and change settings while I am at work or in a train... just a thought 😉

Although nobody would complain if there was an android app, I don't see it would get much use. People set their mod up, configure their profiles and then they're done with it. There's no need to change settings on the train...

4 hours ago, Lanzarotechris said:

I will keep an eye on this thread to see when there is a solution for it so it will work again on linux.

This is a bit unfair to say, it is working in Linux. perhaps not on your Linux because you've been messing with different versions of software, but for the average user, it works.
You have the option of fixing what you broke or install a VM or a clean machine on which it will work.

Share this post


Link to post
Share on other sites
53 minutes ago, Suomynona said:

This is a bit unfair to say, it is working in Linux. perhaps not on your Linux because you've been messing with different versions of software, but for the average user, it works.
You have the option of fixing what you broke or install a VM or a clean machine on which it will work.

That is a bit draconian.  Yes it still works with the version of mono in Ubuntu LTS, but not with most other distros current version.  It will not work with my current install and that is "out of the box".  An update would be welcome as a number of linux users stay current for many reasons.  I for one upgraded to get the latest plasma so I could better use HiDPi monitors.  Evolv seems to be focusing on some other product or issue at the moment.  Perhaps we shall see.  Based on the number of devices commercially available with their chip, I am not certain they are even aggressively still in the game.  My daily mods are well worn and I have had to resort to building some to keep working ones on hand as I can't find "off the shelf" replacements.

Share this post


Link to post
Share on other sites
On 11/16/2019 at 10:52 AM, Suomynona said:

You have the option of fixing what you broke or install a VM or a clean machine on which it will work.

Or I just use my 2nd OS which is a stable windows ;-)

Not that I wanna excuse myself, but when you grew up with windows (I started 94 with win 3.11 for workgroups) then Linux can be a challenge.

Yes, its nice and (hopefully) more secure and less intrusive, but I don't heve the time to get deeper into it to frickle around with it to get something running that WAS running fine until the last upgrade.

I expect from an OS that it runs and do what was advertised. I expect the same from a software (even if its free). If it stops working, then I switch or doesn't use it anymore.

On 11/16/2019 at 11:54 AM, blueridgedog said:

Evolv seems to be focusing on some other product or issue at the moment. 

If you go to the Lost Vape webpage and try to look for any DNA X Mod (and I mean REAL Mods, with removable batteries and DIY Coils, like DNA75, 250...) then you will see where the focus is.

I already wrote an email to them that it is a shame to remove all content of these (sustainable) devices and go for these "throw away" shit pod systems (like everybody else, it seems). I am also shure that humanity will end soon because no one seems to care about waste production, saving energy and ressources, clean landscapes and water, health of millions, or whatever makes/made this stinking pile of plastic-shit called planet eath attractive for living.

Well, China and USA for shure do not give a shit. Others only as long as it does not interfere with their capitalism system. So it seems we will all die in a pile of used pods and empty coffee-to-go cups ;-)

Share this post


Link to post
Share on other sites
15 minutes ago, Lanzarotechris said:

If you go to the Lost Vape webpage and try to look for any DNA X Mod (and I mean REAL Mods, with removable batteries and DIY Coils, like DNA75, 250...) then you will see where the focus is.

Just went. Box Mods, 1st on the left. 1 click and .............

image.thumb.png.9bea29d142c9376ee6df24d31c075bf0.png

Share this post


Link to post
Share on other sites

The problem with EScribe on Linux is (technical explanation follows): in its library HidSharp. Specifically, since Mono (and Xamarin) were purchased by Microsoft, they've been making the code on Mono act more like Windows. They altered how ICustomMarshaler operates on Mono (now its behavior matches Windows), and it broke HidSharp on Linux. Newer versions of HidSharp fix it.

It's working fine on Linux in my development version. We could make an intermediate release for Linux, as long as folks are fine with it being explicitly a test version. Well, I guess this thread has always been named Beta Thread? :)

 

Share this post


Link to post
Share on other sites
On 11/20/2019 at 3:44 AM, James said:

The problem with EScribe on Linux is (technical explanation follows): in its library HidSharp. Specifically, since Mono (and Xamarin) were purchased by Microsoft, they've been making the code on Mono act more like Windows. They altered how ICustomMarshaler operates on Mono (now its behavior matches Windows), and it broke HidSharp on Linux. Newer versions of HidSharp fix it.

It's working fine on Linux in my development version. We could make an intermediate release for Linux, as long as folks are fine with it being explicitly a test version. Well, I guess this thread has always been named Beta Thread? :)

 

As long as it works on an out-of-box ubuntu installation I don't care how you call it, beta, test, developer or whatever version 😉

I want only 2 things: It has to work (I even don't care about the designer plugins or that puff counter stuff),

and it should not F*ckup my system.

As long as these points are granted I would be happy 😉

BTW: Would it be easier to make a snap install ? I'm not a linux guy but I recognized that a lot of software isnow a snap... whatever that is :-S

Share this post


Link to post
Share on other sites
4 hours ago, Lanzarotechris said:

Not some cryptic b-side noone else know about...

sorry...

Hey Chris, couple things. I see I had posted that link twice before, first time 9 months ago ............ but not this time. I posted the pics and James posted the link ;)
It really does sound like a cryptic link, but hey, we can't force them to change their ways. AND I FULLY AGREE WITH YOU. :thumb:
No need to be sorry pal, have a good one! :hand_splayed:
 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now